
package at.vvo.omds.types.omds3Types.r1_8_0.on2antrag.rs;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.vvo.omds.types.omds3Types.r1_8_0.on2antrag.rs package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.vvo.omds.types.omds3Types.r1_8_0.on2antrag.rs
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CalculateRechtsschutzRequest }
     * 
     */
    public CalculateRechtsschutzRequest createCalculateRechtsschutzRequest() {
        return new CalculateRechtsschutzRequest();
    }

    /**
     * Create an instance of {@link SpezBerechnungRechtsschutzType }
     * 
     */
    public SpezBerechnungRechtsschutzType createSpezBerechnungRechtsschutzType() {
        return new SpezBerechnungRechtsschutzType();
    }

    /**
     * Create an instance of {@link CalculateRechtsschutzResponse }
     * 
     */
    public CalculateRechtsschutzResponse createCalculateRechtsschutzResponse() {
        return new CalculateRechtsschutzResponse();
    }

    /**
     * Create an instance of {@link CreateOfferRechtsschutzRequest }
     * 
     */
    public CreateOfferRechtsschutzRequest createCreateOfferRechtsschutzRequest() {
        return new CreateOfferRechtsschutzRequest();
    }

    /**
     * Create an instance of {@link SpezOffertRechtsschutzType }
     * 
     */
    public SpezOffertRechtsschutzType createSpezOffertRechtsschutzType() {
        return new SpezOffertRechtsschutzType();
    }

    /**
     * Create an instance of {@link CreateOfferRechtsschutzResponse }
     * 
     */
    public CreateOfferRechtsschutzResponse createCreateOfferRechtsschutzResponse() {
        return new CreateOfferRechtsschutzResponse();
    }

    /**
     * Create an instance of {@link CreateApplicationRechtsschutzRequest }
     * 
     */
    public CreateApplicationRechtsschutzRequest createCreateApplicationRechtsschutzRequest() {
        return new CreateApplicationRechtsschutzRequest();
    }

    /**
     * Create an instance of {@link SpezAntragRechtsschutzType }
     * 
     */
    public SpezAntragRechtsschutzType createSpezAntragRechtsschutzType() {
        return new SpezAntragRechtsschutzType();
    }

    /**
     * Create an instance of {@link CreateApplicationRechtsschutzResponse }
     * 
     */
    public CreateApplicationRechtsschutzResponse createCreateApplicationRechtsschutzResponse() {
        return new CreateApplicationRechtsschutzResponse();
    }

    /**
     * Create an instance of {@link SubmitApplicationRechtsschutzRequest }
     * 
     */
    public SubmitApplicationRechtsschutzRequest createSubmitApplicationRechtsschutzRequest() {
        return new SubmitApplicationRechtsschutzRequest();
    }

    /**
     * Create an instance of {@link SubmitApplicationRechtsschutzResponse }
     * 
     */
    public SubmitApplicationRechtsschutzResponse createSubmitApplicationRechtsschutzResponse() {
        return new SubmitApplicationRechtsschutzResponse();
    }

    /**
     * Create an instance of {@link VerkaufsproduktRechtsschutzType }
     * 
     */
    public VerkaufsproduktRechtsschutzType createVerkaufsproduktRechtsschutzType() {
        return new VerkaufsproduktRechtsschutzType();
    }

    /**
     * Create an instance of {@link ProduktRechtsschutzType }
     * 
     */
    public ProduktRechtsschutzType createProduktRechtsschutzType() {
        return new ProduktRechtsschutzType();
    }

    /**
     * Create an instance of {@link ElementarproduktRechtsschutzType }
     * 
     */
    public ElementarproduktRechtsschutzType createElementarproduktRechtsschutzType() {
        return new ElementarproduktRechtsschutzType();
    }

}
